Ubuntu

QSpiAccessible bug ?

Reported by Raoul Volfoni on 2012-05-10
34
This bug affects 8 people
Affects Status Importance Assigned to Milestone
qtiplot (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

I have a bug using QtiPlot. When I want to open a directory (for a project loading or for a text file import). QtiPlot crash hard. Here is the terminal output :

Got bus address: "unix:abstract=/tmp/dbus-PCZLauOt80,guid=e9f13b9f22a1afc6e8e0396d000019eb"
Connected to accessibility bus at: "unix:abstract=/tmp/dbus-PCZLauOt80,guid=e9f13b9f22a1afc6e8e0396d000019eb"
Registered DEC: true
Registered event listener change listener: true
QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0x9f75600, name = "fileMenu") "fileMenu"
QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0x9f73e98) ""
QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0x9f73e98) ""
QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0x9f73e98) ""
QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0x9f73e98) ""
QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0x9f75600, name = "fileMenu") "fileMenu"
FIXME: handle dialog start.
FIXME: handle dialog end.
QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0x9fd8ae8, name = "plot2DMenu") "plot2DMenu"
QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0x9fd8ae8, name = "plot2DMenu") "plot2DMenu"
QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0x9edebb0, name = "editMenu") "editMenu"
QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0x9edebb0, name = "editMenu") "editMenu"
QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0x9f75600, name = "fileMenu") "fileMenu"
QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0x9f75600, name = "fileMenu") "fileMenu"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QSidebar(0xa289418, name = "sidebar") "sidebar"
FIXME: handle dialog start.
Interface is not valid
ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899
Abandon (core dumped)

Config: ubuntu 12.04, kernel: Ubuntu 3.2.0-24.37-generic-pae 3.2.14,

I hope, you can solve this bug.

Thanks a lot

Raoul

Raoul Volfoni (volfoni54) wrote :
Raoul Volfoni (volfoni54) wrote :

No problems when running QtiPlot as root...

Raoul Volfoni (volfoni54) wrote :

This "bug" seems to be resolved by removing the qt-at-spi package !

Raoul

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in qtiplot (Ubuntu):
status: New → Confirmed
Joshua Taillon (jat255) wrote :

Removing the qt-ai-spi package fixed this for me as well on Ubuntu 12.04 running QtiPlot 0.9.8.9 svn 2288 from the Francis Brown ppa.

Scott Howard (showard314) wrote :

It looks like a known bug in qt-at-spi, see bug #857790, seen in several other qt apps as well (https://bitcointalk.org/index.php?topic=47586.msg591630#msg591630)

Deepak (deepakiitr2015) wrote :

Removing the qt-ai-spi package fixed this for me too on Ubuntu 12.10

bkb (bkb-b) wrote :

The same problem solved by removing the qt-ai-spi package on Ubuntu 12.04

Three Lee (374409216-9) wrote :

Has this bug been fixed in Qt 5 ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments